#pragma once

#include <QApplication>
#include <QNetworkAccessManager>
#include <QNetworkReply>
#include <QSettings>

#include <dialogs/FederatedLogin.h>
#include <lib/Service.h>

class Configurator:public QApplication {
	Q_OBJECT
public:
	Configurator(int &argc, char **&argv);
	QNetworkAccessManager &nam() { return _nam; }
	QString baseUrl() const { return "https://dashboard." + _loginDialog->domain(); }
	QString user() const { return _loginDialog->user(); }
	QString password() const { return _loginDialog->password(); }
	QByteArray download(QUrl const &url);
	void waitForDownload(QNetworkReply *r) const;
	Services const &services() const { return _services; }
	QSettings &settings() { return _settings; }
protected Q_SLOTS:
	void loginRequested();
private:
	QNetworkAccessManager	_nam;
	QSettings		_settings;
	FederatedLogin *	_loginDialog;
	Services		_services;
};

#define app static_cast<Configurator*>(Configurator::instance())
