#pragma once

#include <QDialog>
#include <QGridLayout>
#include <QLabel>
#include <QLineEdit>
#include <QCheckBox>
#include <QPushButton>

#include "../lib/ButtonRow.h"

class FederatedLogin:public QDialog {
	Q_OBJECT
public:
	FederatedLogin(QWidget *parent=0);
	QString domain() const { return _domain->text(); }
	QString user() const { return _user->text(); }
	QString password() const { return _password->text(); }
	void setMessage(QString const &m);
protected Q_SLOTS:
	void storeLogin();
protected:
	QGridLayout	_layout;
	QLabel *	_message;
	QLabel *	_domainLbl;
	QLineEdit *	_domain;
	QLabel *	_userLbl;
	QLineEdit *	_user;
	QLabel *	_passwordLbl;
	QLineEdit *	_password;
	QCheckBox *	_storeLogin;
	ButtonRow *	_buttons;
	QPushButton *	_ok;
	QPushButton *	_cancel;
};
